com.io7m.jcanephora.core

## Class JCGLTextureUpdates

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLTextureUpdates

-     public final class JCGLTextureUpdates
      extends Object

  Utility functions to allocate texture updates.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLTexture2DUpdateType` | `newUpdateReplacingAll2D(JCGLTexture2DUsableType t)` Create a new update that will replace the entirety of `t`.
    `static JCGLTextureCubeUpdateType` | `newUpdateReplacingAllCube(JCGLTextureCubeUsableType t)` Create a new update that will replace the entirety of one face of `t`.
    `static JCGLTexture2DUpdateType` | `newUpdateReplacingArea2D(JCGLTexture2DUsableType t, com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Create a new update that will replace the given `area` of `t`.
    `static JCGLTextureCubeUpdateType` | `newUpdateReplacingAreaCube(JCGLTextureCubeUsableType t, com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Create a new update that will replace the given `area` of `t`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newUpdateReplacingAllCube

          public static JCGLTextureCubeUpdateType newUpdateReplacingAllCube(JCGLTextureCubeUsableType t)

      Create a new update that will replace the entirety of one face of `t`.
      Parameters:
        `t` - The texture
      Returns:
        A new update

    - #### newUpdateReplacingAreaCube

          public static JCGLTextureCubeUpdateType newUpdateReplacingAreaCube(JCGLTextureCubeUsableType t,
                                                                             com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Create a new update that will replace the given `area` of `t`. `area` must be included within the area of `t`.
      Parameters:
        `t` - The texture
        `area` - The area that will be updated
      Returns:
        A new update
      Throws:
        `com.io7m.jranges.RangeCheckException` - Iff `area` is not included within `t`

    - #### newUpdateReplacingAll2D

          public static JCGLTexture2DUpdateType newUpdateReplacingAll2D(JCGLTexture2DUsableType t)

      Create a new update that will replace the entirety of `t`.
      Parameters:
        `t` - The texture
      Returns:
        A new update

    - #### newUpdateReplacingArea2D

          public static JCGLTexture2DUpdateType newUpdateReplacingArea2D(JCGLTexture2DUsableType t,
                                                                         com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Create a new update that will replace the given `area` of `t`. `area` must be included within the area of `t`.
      Parameters:
        `t` - The texture
        `area` - The area that will be updated
      Returns:
        A new update
      Throws:
        `com.io7m.jranges.RangeCheckException` - Iff `area` is not included within `t`

Copyright © 2016 <code@io7m.com> http://io7m.com